import { EventEmitter } from '../../../stencil-public-runtime';
export declare class DatatablePagination {
    size: number;
    total: number;
    currentPage: number;
    first: number;
    last: number;
    nextPage: EventEmitter;
    previousPage: EventEmitter;
    handleNextClick(): void;
    handlePreviousClick(): void;
    render(): any;
}
